package xyz.tbvns.rogue_block.Upgrades;

import net.minecraft.util.Identifier;

public enum UpgradeRarity {
    rare(
            Identifier.of("minecraft:textures/gui/sprites/advancements/challenge_frame_obtained.png"),
            Identifier.of("minecraft:textures/gui/sprites/advancements/challenge_frame_unobtained.png")
    ),
    medium(
            Identifier.of("minecraft:textures/gui/sprites/advancements/goal_frame_obtained.png"),
            Identifier.of("minecraft:textures/gui/sprites/advancements/goal_frame_unobtained.png")
    ),
    common(
            Identifier.of("minecraft:textures/gui/sprites/advancements/task_frame_obtained.png"),
            Identifier.of("minecraft:textures/gui/sprites/advancements/task_frame_unobtained.png")
    );

    UpgradeRarity(Identifier obtained, Identifier unobtained) {
        this.obtained = obtained;
        this.unobtained = unobtained;
    }

    public Identifier obtained;
    public Identifier unobtained;
}
